org.apache.maven.script.beanshell

## Class BeanshellMojoAdapter

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.script.beanshell.BeanshellMojoAdapter

All Implemented Interfaces:
  ContextEnabled, Mojo

    public class BeanshellMojoAdapter
    extends AbstractMojo

Mojo adapter for a Beanshell Mojo.

Version:
  $Id: BeanshellMojoAdapter.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BeanshellMojoAdapter(Mojo mojo, Interpreter interpreter)`

### Method Summary

Methods
`void` `execute()` Perform whatever build-process behavior this `Mojo` implements.
`Interpreter` `getInterpreter()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanshellMojoAdapter

    public BeanshellMojoAdapter(Mojo mojo,
                        Interpreter interpreter)

### Method Detail

#### execute

    public void execute()
                 throws MojoExecutionException,
                        MojoFailureException

Description copied from interface: `Mojo`
Perform whatever build-process behavior this `Mojo` implements.
This is the main trigger for the `Mojo` inside the `Maven` system, and allows the `Mojo` to communicate errors.

Throws:
  `MojoExecutionException` - if an unexpected problem occurs. Throwing this exception causes a "BUILD ERROR" message to be displayed.
  `MojoFailureException` - if an expected problem (such as a compilation failure) occurs. Throwing this exception causes a "BUILD FAILURE" message to be displayed.

#### getInterpreter

    public Interpreter getInterpreter()